%define apacheconfdir %_sysconfdir/httpd/conf
%define bugzilla_dir /var/www/html/bugzilla

Name:       bugzilla
Version:	2.16.3
Release:	alt1
Summary:	A bug tracking system developed by mozilla.org.

License:	MPL
Group:		Networking/WWW
Source0:	%name-%version.tar.bz2
Source1:	%name.conf.bz2
Source2:	%name.cron.bz2
Patch0:		bugzilla-apache-group-fix.patch
Patch1:		bugzilla-add-lang-switch.patch
Patch2:		bugzilla-editproducts-minimize.patch
Patch3:		bugzilla-enter-bug-chg.patch
Patch4:		bugzilla-simple-query.patch
URL:		http://www.bugzilla.org/

Requires:	perl-MIME-tools perl-MailTools perl-DBD-mysql perl-Template
Requires:	MySQL perl apache perl-AppConfig perl-Chart perl-DBI perl-GD2 
Requires:	perl-TimeDate perl-XML-Parser perl-pod perl

BuildRequires: perl

AutoReq: yes, noperl

BuildArch:	noarch

%description
Bugzilla is the bug tracking system developed by mozilla.org.
Mozilla.org is a group within Netscape that acts as a
clearinghouse for Netscape source code. 

Bugzilla since 2.16 is template driven, which makes it easier to
do customizations.

Please do take the time to read the release notes found in:
%_docdir/%name-%version/rel_notes.txt

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
bzcat %SOURCE1 > %name.conf
bzcat %SOURCE2 > %name.cron

# CVS clean up
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# instead of a static patch we do as per documentation...
perl -pi -e 's@#\!/usr/bonsaitools/bin/perl@#\!/usr/bin/perl@' *cgi *pl Bug.pm processmail syncshadowdb

%build

%install
install -d -m755 %buildroot/%bugzilla_dir
install -d -m1777 %buildroot/%bugzilla_dir/{data,shadow}

cp -aRf template %buildroot/%bugzilla_dir/
cp -aRf css %buildroot/%bugzilla_dir/

install -m755 *.cgi *.pl %buildroot/%bugzilla_dir/
install -m644 *.dtd *.html *.pm *.jpg *.gif *.js robots.txt %buildroot/%bugzilla_dir/
install -m644 localization.list %buildroot/%bugzilla_dir/
install -m755 syncshadowdb processmail %buildroot/%bugzilla_dir/

# apache configuration
install -d -m 0755 %buildroot/%_sysconfdir/httpd/conf/addon-modules
install -m 644 %name.conf %buildroot/%_sysconfdir/httpd/conf/addon-modules

# cron task
install -d -m 0755 %buildroot/%_sysconfdir/cron.daily
install -m 755 %name.cron %buildroot/%_sysconfdir/cron.daily/%name

%post
if [ $1 -eq 1 ]; then
  echo "Include conf/addon-modules/%name.conf" >> %_sysconfdir/httpd/conf/httpd.conf
  /sbin/service httpd graceful
fi

%postun
if [ $1 -eq 0 ]; then
  subst '/Include conf\/addon-modules\/%name.conf/d' %_sysconfdir/httpd/conf/httpd.conf
  /sbin/service httpd graceful
fi

%files
%defattr(-, root, root)
%doc README UPGRADING* docs contrib t runtests.sh
%bugzilla_dir/*
%config(noreplace) %_sysconfdir/httpd/conf/addon-modules/%name.conf
%config(noreplace) %_sysconfdir/cron.daily/%name

%changelog
* Fri May 02 2003 Alexey Gladkov <legion@altlinux.ru> 2.16.3-alt1
- First build for ALTLinux
- SPEC modification
- new version 2.16.3
- some patches

* Sat Mar 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.16.1-4mdk
- cron task

* Tue Feb 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.16.1-3mdk
- automatic apache integration

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.16.1-2mdk
- rebuild

* Wed Oct 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16.1-1mdk
- new version (security fixes)

* Mon Aug 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16-2mdk
- fix Requires

* Tue Jul 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16-1mdk
- new spanking major version
- misc spec file fixes

* Sat Jun  8 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.14.2-1mdk
- new version

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.14.1-1mdk
- new version
- new URL

* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.14-1mdk
- updated & fixed by Don Head <donhead@linux-certified.org> :
- Merge with Red Hat:
  - add requirement for perl-DBD-MySQL (Mandrake requires perl-Mysql)
  - updated to 2.14 for security errata
  - added requires for perl-GD
  - forgot to include *.js files. Fixed. (#42795)
  - updated to 2.12, updated perlpath patch
  - added suggested fixes from bug 19497
  - Security fixes 38411
  - Note: This is not the Red Hat version of Bugzilla. You can grab that 
    at ftp://people.redhat.com/dkl
  - fixed bug #16147, dependancy problems.
  - patched all the files which looked for perl in /usr/bonsaitools/bin
  - fixed problem with /usr/bonsai/perl not existing.

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.11-2mdk
- great fixes from Don Head <donhead@linux-certified.org> :
	- Move to /var/www for FHS
	- Fix perl requires

* Mon Nov 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.11-1mdk
- used srpm from  Oden Eriksson <oden@kvikkjokk.com> :
	- 2.11
	- changed the perl path

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 21 2000 Tim Powers <timp@redhat.com>
- somehow changes were lost, don't know why but they were. Fixed

* Tue Jun 20 2000 Tim Powers <timp@redhat.com>
- fixed location for installation. Now out of /home (it's about time).

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.10

* Thu Jan 13 2000 Dave Lawrence <dkl@redhat.com>
- Minor cosmetic changes
- Different group permission mechanisms
- Packaged for Powertools
 
* Wed Nov 24 1999 Dave Lawrence <dkl@redhat.com>
- updated to 2.8 (w/Red Hat mods)
- added perl and perl-DBI to requires

* Fri Jul 30 1999 Tim Powers <timp@redhat.com>
- updated to 2.4, updated %post
- added URL and download loc.
- rebuilt for 6.1

* Mon Jan 11 1999 Michael Maher <mike@redhat.com>
- cleaned up spec file a bit.
- ran thru build system

* Thu Dec 10 1998 Andrew Anderson <andrew@redhat.com>
- Initial packaging

